[Launch]
ProgramExecutable=GoldenDict\GoldenDict.exe
WorkingDirectory=%PAL:AppDir%\GoldenDict
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[QtKeysCleanup]
1=Qt Factory Cache 4.8\com.trolltech.Qt.QImageIOHandlerFactoryInterface:
2=Qt Plugin Cache 4.8.false

[DirectoriesMove]
portable=%PAL:AppDir%\GoldenDict\portable
content=%PAL:AppDir%\GoldenDict\content

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\portable\config
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:ForwardSlash%/
Replace=%PAL:Drive%%PAL:PackagePartialDir:ForwardSlash%/

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\portable\config
Find=%PAL:LastPortableAppsBaseDir:ForwardSlash%/
Replace=%PAL:PortableAppsBaseDir:ForwardSlash%/

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\portable\config
Find=dictionariesPath="%PAL:LastDrive%/
Replace=dictionariesPath="%PAL:Drive%/

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\portable\config
Find=>%PAL:LastDrive%/
Replace=>%PAL:Drive%/